From: [email-masked]
Date: Sun, 15 May 94 22:00:16 EDT

FTR MEETING TO BE HELD AT STONEWALL 25

For those of you who will be going to New York:

   With the International Gay & Lesbian Human Rights Commission, the National
Gay & Lesbian Task Force Fight the Right Project will co-host a "fight the
Right" symposium in New York during Stonewall 25.  The event, "The
International Right Wing," will feature a panel of international speakers who
will address the rise of Right Wing extremism in Europe, Central and South
America, and Islamic countries, as well as the exportation of U.S. Right Wing
extremism to other countries.
   Please attend this important even, to be held at 2000 on Thursday, June
23, 1994, at Washington Irving High Schol, 40 Irving Place (one block east of
Union Square) in New York City. For further informaton, call Sue Hyde, NGLTF
FTR Organizer, 617.492.6393; email to [email-masked].